summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVladimir Pavljuchenkov (SpiderX) <spiderx@spiderx.dp.ua>2018-02-06 18:32:38 +0200
committerMichał Górny <mgorny@gentoo.org>2018-02-09 10:32:43 +0100
commit0be003699372b4da0912aa7a6ab97ec9d03b65e7 (patch)
tree9cc30c92d7096f54cee08aa5186dc1d96f47550b /net-im/slack-bin
parentnet-im/slack-bin: version bump to 3.0.5 with security update (diff)
downloadgentoo-0be003699372b4da0912aa7a6ab97ec9d03b65e7.tar.gz
gentoo-0be003699372b4da0912aa7a6ab97ec9d03b65e7.tar.bz2
gentoo-0be003699372b4da0912aa7a6ab97ec9d03b65e7.zip
net-im/slack-bin: fix 645918 (support for ayatana)
Closes: https://bugs.gentoo.org/645918 Closes: https://github.com/gentoo/gentoo/pull/7051 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'net-im/slack-bin')
-rw-r--r--net-im/slack-bin/slack-bin-3.0.5.ebuild15
1 files changed, 13 insertions, 2 deletions
diff --git a/net-im/slack-bin/slack-bin-3.0.5.ebuild b/net-im/slack-bin/slack-bin-3.0.5.ebuild
index 6f2f809380d..711f490d302 100644
--- a/net-im/slack-bin/slack-bin-3.0.5.ebuild
+++ b/net-im/slack-bin/slack-bin-3.0.5.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://downloads.slack-edge.com/linux_releases/${MY_PN}-desktop-${PV}-
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="~amd64 -*"
-IUSE="pax_kernel"
+IUSE="ayatana pax_kernel"
RESTRICT="bindist mirror"
RDEPEND="app-crypt/libsecret:0[${MULTILIB_USEDEP}]
@@ -47,7 +47,8 @@ RDEPEND="app-crypt/libsecret:0[${MULTILIB_USEDEP}]
x11-libs/libXrender:0[${MULTILIB_USEDEP}]
x11-libs/libXScrnSaver:0[${MULTILIB_USEDEP}]
x11-libs/libXtst:0[${MULTILIB_USEDEP}]
- x11-libs/pango:0[${MULTILIB_USEDEP}]"
+ x11-libs/pango:0[${MULTILIB_USEDEP}]
+ ayatana? ( dev-libs/libappindicator:2[${MULTILIB_USEDEP}] )"
QA_PREBUILT="opt/slack/slack
opt/slack/resources/app.asar.unpacked/node_modules/*
@@ -57,6 +58,16 @@ QA_PREBUILT="opt/slack/slack
S="${WORKDIR}"
+src_prepare() {
+ default
+
+ if use ayatana ; then
+ sed -i '/Exec/s|=|=env XDG_CURRENT_DESKTOP=Unity |' \
+ usr/share/applications/slack.desktop \
+ || die "sed failed for slack.desktop"
+ fi
+}
+
src_install() {
insinto /usr/share/pixmaps
doins usr/share/pixmaps/${MY_PN}.png